libzypp 17.37.10

zypp::filesystem::Glob::const_iterator Class Reference

Iterate NULL terminated `char*` array. More...

`#include <zypp/Glob.h>`

Inheritance diagram for zypp::filesystem::Glob::const_iterator:

## Public Member Functions
| const_iterator ()
| const_iterator (char **_idx)

## Private Member Functions
void | increment ()
reference | dereference () const

## Friends
class | boost::iterator_core_access

## Related Symbols
(Note that these are not member symbols.)
std::ostream & | operator<< (std::ostream &str, const Glob::const_iterator &obj)
| Stream output.

## Detailed Description

Iterate NULL terminated `char*` array.

Definition at line 64 of file Glob.h.

## Constructor & Destructor Documentation

## ◆ const_iterator() [1/2]

zypp::filesystem::Glob::const_iterator::const_iterator | ( |  | ) |
| inline

Definition at line 73 of file Glob.h.

## ◆ const_iterator() [2/2]

zypp::filesystem::Glob::const_iterator::const_iterator | ( | char ** | _idx | ) |
| inline explicit

Definition at line 77 of file Glob.h.

## Member Function Documentation

## ◆ increment()

void zypp::filesystem::Glob::const_iterator::increment | ( |  | ) |
| inline private

Definition at line 83 of file Glob.h.

## ◆ dereference()

reference zypp::filesystem::Glob::const_iterator::dereference | ( |  | ) | const
| inline private

Definition at line 88 of file Glob.h.

## Friends And Related Symbol Documentation

## ◆ boost::iterator_core_access

friend class boost::iterator_core_access
| friend

Definition at line 82 of file Glob.h.

## ◆ operator<<()

std::ostream & operator<< | ( | std::ostream & | str,
|  | const Glob::const_iterator & | obj )
| related

Stream output.

Definition at line 258 of file Glob.h.

The documentation for this class was generated from the following file:

- zypp/Glob.h